Bug 130528 - /usr/bin/rundig is missing "$opts" on two calls to htfuzzy
Summary: /usr/bin/rundig is missing "$opts" on two calls to htfuzzy
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: htdig   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adam Tkac
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 84611 189875 220024
TreeView+ depends on / blocked
 
Reported: 2004-08-21 01:19 UTC by Lance A. Brown
Modified: 2013-04-30 23:33 UTC (History)
3 users (show)

Fixed In Version: RHBA-2007-0026
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-11 18:48:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Additional patch (241 bytes, patch)
2006-12-20 14:15 UTC, Adam Tkac
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0026 normal SHIPPED_LIVE htdig bug fix update 2007-06-07 18:06:02 UTC

Description Lance A. Brown 2004-08-21 01:19:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040808 Firefox/0.9.3

Description of problem:
This is a repeat in RHEL 3 Update 2 of bug number 74221 from Red Hat
8.  /usr/bin/rundig is missing "$opts" in the calls to
/usr/bin/htfuzzy on the last two lines of the script.  Leaving it out
causes htfuzzy to segfault when using rundig with a custom
configuration file.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. set up a custom htdig configuration
2. run /usr/bin/rundig custom.conf
3.
    

Actual Results:  htfuzzy generates two segmentation faults

Expected Results:  sucessful htfuzzy results

Additional info:

Comment 1 Phil Knirsch 2004-10-20 15:42:22 UTC
Verified and reproduced.

Will schedule an update for the next quarterly update for Red Hat
Enterprise Linux 3.

Read ya, Phil

Comment 2 Emmanuel Viennet 2005-01-10 17:52:01 UTC
Same bug on FC2 with htdig-3.2.0b5-7 

Comment 3 Phil Knirsch 2005-09-05 08:51:05 UTC
Fixed in next development version.

Read ya, Phil

Comment 7 Adam Tkac 2006-12-18 13:55:15 UTC
package htdig-3.1.6-5.el3 has been builded. This bug is fixed here

Comment 9 Adam Tkac 2006-12-20 14:15:09 UTC
Created attachment 144100 [details]
Additional patch

problem wasn't only in rundig script. Missimg $opts causes that htfuzzy always
uses default config file. This patch fixes sigfaults

Comment 11 Michal Marciniszyn 2006-12-21 14:59:59 UTC
The bug is not only in the rundig script, the htfuzzy application segfault all
by itself. Atkac fixed one bug yesterday, but it still seems that there is some
other left.

Comment 21 Red Hat Bugzilla 2007-06-11 18:48:52 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0026.html



Note You need to log in before you can comment on or make changes to this bug.